Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.document
Class Bson.Type

    java.lang.Object
      org.infinispan.schematic.document.Bson.Type

Enclosing class:
  Bson

    public static final class Bson.Type

extends Object

The bytes used for the types within a BSON stream.

Field Summary
`static byte` | `ARRAY`
`static byte` | `BINARY`
`static byte` | `BOOLEAN`
`static byte` | `DATETIME`
`static byte` | `DBPOINTER`
`static byte` | `DOCUMENT`
`static byte` | `DOUBLE`
`static byte` | `INT32`
`static byte` | `INT64`
`static byte` | `JAVASCRIPT`
`static byte` | `JAVASCRIPT_WITH_SCOPE`
`static byte` | `MAXKEY`
`static byte` | `MINKEY`
`static byte` | `NULL`
`static byte` | `OBJECTID`
`static byte` | `REGEX`
`static byte` | `STRING`
`static byte` | `SYMBOL`
`static byte` | `TIMESTAMP`
`static byte` | `UNDEFINED`

Constructor Summary
`Bson.Type()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOUBLE

    public static final byte DOUBLE

See Also:
  Constant Field Values

### STRING

    public static final byte STRING

See Also:
  Constant Field Values

### DOCUMENT

    public static final byte DOCUMENT

See Also:
  Constant Field Values

### ARRAY

    public static final byte ARRAY

See Also:
  Constant Field Values

### BINARY

    public static final byte BINARY

See Also:
  Constant Field Values

### UNDEFINED

    public static final byte UNDEFINED

See Also:
  Constant Field Values

### OBJECTID

    public static final byte OBJECTID

See Also:
  Constant Field Values

### BOOLEAN

    public static final byte BOOLEAN

See Also:
  Constant Field Values

### DATETIME

    public static final byte DATETIME

See Also:
  Constant Field Values

### NULL

    public static final byte NULL

See Also:
  Constant Field Values

### REGEX

    public static final byte REGEX

See Also:
  Constant Field Values

### DBPOINTER

    public static final byte DBPOINTER

See Also:
  Constant Field Values

### JAVASCRIPT

    public static final byte JAVASCRIPT

See Also:
  Constant Field Values

### SYMBOL

    public static final byte SYMBOL

See Also:
  Constant Field Values

### JAVASCRIPT_WITH_SCOPE

    public static final byte JAVASCRIPT_WITH_SCOPE

See Also:
  Constant Field Values

### INT32

    public static final byte INT32

See Also:
  Constant Field Values

### TIMESTAMP

    public static final byte TIMESTAMP

See Also:
  Constant Field Values

### INT64

    public static final byte INT64

See Also:
  Constant Field Values

### MINKEY

    public static final byte MINKEY

See Also:
  Constant Field Values

### MAXKEY

    public static final byte MAXKEY

See Also:
  Constant Field Values

Constructor Detail

### Bson.Type

    public Bson.Type()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.